Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.bot.browse.range
Class Input

    java.lang.Object
      org.encog.bot.browse.range.DocumentRange
          org.encog.bot.browse.range.FormElement
              org.encog.bot.browse.range.Input

    public class Input

extends FormElement

A form element that represents for input for text. These are of the form name=value.

Author:
  jheaton

Constructor Summary
`Input(WebPage source)` Construct this Input element.

Method Summary
`String` | `getType()`
`boolean` | `isAutoSend()`
`void` | `setType(String theType)` Set the type of this input element.

Methods inherited from class org.encog.bot.browse.range.FormElement
`getName, getOwner, getValue, setName, setOwner, setValue, toString`

Methods inherited from class org.encog.bot.browse.range.DocumentRange
`addElement, getBegin, getClassAttribute, getElements, getEnd, getIdAttribute, getParent, getSource, getTextOnly, setBegin, setClassAttribute, setEnd, setIdAttribute, setParent, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Input

    public Input(WebPage source)

  Construct this Input element.

  Parameters:
    `source` - The source for this input element.

Method Detail

### getType

    public final String getType()

  Returns:
    The type of this input.

### isAutoSend

    public final boolean isAutoSend()

  Specified by:
    `isAutoSend` in class `FormElement`
  Returns:
    True if this is autosend, which means that the type is NOT submit. This prevents a form that has multiple submit buttons from sending ALL of them in a single post.

### setType

    public final void setType(String theType)

  Set the type of this input element.

  Parameters:
    `theType` - The type of this input element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.